U4-9427 - Unable to install local packages in various browsers

Created by Nik 22 Jan 2017, 21:49:46 Updated by Sebastiaan Janssen 06 Feb 2017, 11:59:18

I'm creating an official issue for the following thread: https://our.umbraco.org/forum/using-umbraco-and-getting-started/82455-unable-to-install-any-local-package-umbraco-757-high-priority-bug-imho

The issue is that Install Local doesn't appear to work correctly when not using Chrome, personally I've tested only with Microsoft Edge 38.14393.0.0

I created a blank project in Visual Studio 2015 targeting .Net 4.5.2 Installed Umbraco via Nuget - Version 7.5.7

Followed the default install (SQL CE, Fanoe etc)

Downloaded Articulate from the Package repository on Our and attempted a local install. This sits on the Uploading Package screen with the progress bar 100%. Looking in Dev tools there are two errors, unsure if these are the reason behind the issue:

Both issues are HTTP404: Not Found: HTTP404: NOT FOUND - The server has not found anything matching the requested URI (Uniform Resource Identifier).

Two files are: (XHR)GET - http://localhost:52749/umbraco/lib/angular-dynamic-locale/src/tmhDynamicLocale.js (XHR)GET - http://localhost:52749/umbraco/lib/underscore/underscore.js

Further investigation shows that the tmyDynamicLocale.js does not appear to be in the requested location, instead there is a tmhDynamicLocale.min.js located in the following page: /umbraco/lib/angular-dynamic-locale/ underscore.js does not exist but underscore-min.js does (in the requested location).

Articulate was chosen as it was a different package to the one the Our thread was referencing.

Comments

Asbjørn Riis-Knudsen 23 Jan 2017, 07:25:25

I can confirm not being able to install local packages when using Microsoft Edge.

The HTTP404 errors are not related - they are merely Edge trying to find unminified source files.


Mads Rasmussen 23 Jan 2017, 15:12:09

PR: https://github.com/umbraco/Umbraco-CMS/pull/1702


Priority: Normal

Type: Bug

State: Fixed

Assignee:

Difficulty: Normal

Category: Packages

Backwards Compatible: True

Fix Submitted:

Affected versions: 7.5.5, 7.5.6, 7.5.7

Due in version: 7.5.8

Sprint: Sprint 51

Story Points:

Cycle: